package com.kingdee.eas.custom.gggl;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractContractChangeE1Info extends com.kingdee.eas.framework.CoreBillEntryBaseInfo implements Serializable 
{
    public AbstractContractChangeE1Info()
    {
        this("id");
    }
    protected AbstractContractChangeE1Info(String pkField)
    {
        super(pkField);
    }
    /**
     * Object: 第1个表体 's null property 
     */
    public com.kingdee.eas.custom.gggl.ContractChangeInfo getParent()
    {
        return (com.kingdee.eas.custom.gggl.ContractChangeInfo)get("parent");
    }
    public void setParent(com.kingdee.eas.custom.gggl.ContractChangeInfo item)
    {
        put("parent", item);
    }
    /**
     * Object: 第1个表体 's 广告位编号 property 
     */
    public com.kingdee.eas.custom.gggl.AdvertInfo getGgw()
    {
        return (com.kingdee.eas.custom.gggl.AdvertInfo)get("ggw");
    }
    public void setGgw(com.kingdee.eas.custom.gggl.AdvertInfo item)
    {
        put("ggw", item);
    }
    /**
     * Object:第1个表体's 租赁起始日期property 
     */
    public java.util.Date getZlStartDate()
    {
        return getDate("zlStartDate");
    }
    public void setZlStartDate(java.util.Date item)
    {
        setDate("zlStartDate", item);
    }
    /**
     * Object:第1个表体's 租赁到期日期property 
     */
    public java.util.Date getZlEndDate()
    {
        return getDate("zlEndDate");
    }
    public void setZlEndDate(java.util.Date item)
    {
        setDate("zlEndDate", item);
    }
    /**
     * Object:第1个表体's 租赁周期/月property 
     */
    public String getZlzq()
    {
        return getString("zlzq");
    }
    public void setZlzq(String item)
    {
        setString("zlzq", item);
    }
    /**
     * Object:第1个表体's 租赁费property 
     */
    public java.math.BigDecimal getZlAmount()
    {
        return getBigDecimal("zlAmount");
    }
    public void setZlAmount(java.math.BigDecimal item)
    {
        setBigDecimal("zlAmount", item);
    }
    /**
     * Object:第1个表体's 付款日期property 
     */
    public java.util.Date getZlPayDate()
    {
        return getDate("zlPayDate");
    }
    public void setZlPayDate(java.util.Date item)
    {
        setDate("zlPayDate", item);
    }
    /**
     * Object:第1个表体's 制作费property 
     */
    public java.math.BigDecimal getZzAmount()
    {
        return getBigDecimal("zzAmount");
    }
    public void setZzAmount(java.math.BigDecimal item)
    {
        setBigDecimal("zzAmount", item);
    }
    /**
     * Object:第1个表体's 制作费付款日期property 
     */
    public java.util.Date getZzPayDate()
    {
        return getDate("zzPayDate");
    }
    public void setZzPayDate(java.util.Date item)
    {
        setDate("zzPayDate", item);
    }
    /**
     * Object:第1个表体's 备注property 
     */
    public String getRemak()
    {
        return getString("remak");
    }
    public void setRemak(String item)
    {
        setString("remak", item);
    }
    /**
     * Object:第1个表体's 原单分录IDproperty 
     */
    public String getSourceEnID()
    {
        return getString("sourceEnID");
    }
    public void setSourceEnID(String item)
    {
        setString("sourceEnID", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("84289F4C");
    }
}